lp:~darkxst/gnome-session/lp1224217

Created by Tim Lunn on 2014-03-12 and last modified on 2014-03-13
Get this branch:
bzr branch lp:~darkxst/gnome-session/lp1224217
Only Tim Lunn can upload to this branch. If you are Tim Lunn please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Tim Lunn
Project:
gnome-session
Status:
Development

Recent revisions

309. By Tim Lunn on 2014-03-13

fix upstart conf

308. By Tim Lunn on 2014-03-12

gnome-session-bin.user-session.upstart: Use XDG_CURRENT_DESKTOP
as the instance specifier for gnome-session upstart jobs, since
other sessions apart from ubuntu will need to use u-s-d (LP: #1224217)

307. By Robert Ancell on 2014-02-20

* debian/50-ubuntu.conf:
  - Add missing file

306. By Robert Ancell on 2014-02-20

* debian/control:
  - gnome-session depends on gnome-settings-daemon, ubuntu-session depends on
    unity-settings-daemon
  - Correctly mark ubuntu-session as replacing files in the old gnome-session
* debian/50-ubuntu.conf:
  - Install LightDM configuration (moved from ubuntu-settings package)

305. By Steve Langasek on 2014-02-20

releasing package gnome-session version 3.9.90-0ubuntu9

304. By Steve Langasek on 2014-02-20

Drop the depends from gnome-session to ubuntu-session. The new
ubuntu-session package has been added to the desktop seed, so the
transitional dependency should be removed so that unity is not pulled in
unnecessarily on other flavors that depend on gnome-session.

303. By Robert Ancell on 2014-02-20

* Split ubuntu-session out of gnome-session. Make gnome-session temporarily
  depend on ubuntu-session so users automatically keep the Ubuntu session
  configuration installed. We can drop this once all users are sure to have
  migrated. At the same time we can make ubuntu-session depend on
  unity-settings-daemon and compiz.
* Move the upstart job from gnome-session to gnome-session-bin

302. By Robert Ancell on 2014-02-17

* debian/patches/50_ubuntu_sessions.patch:
  - The ubuntu gnome-session requires unity-settings-daemon, not
    gnome-settings-daemon (LP: #1277487)

301. By Robert Ancell on 2014-02-14

releasing package gnome-session version 3.9.90-0ubuntu7

300. By Robert Ancell on 2014-02-14

* debian/control:
  - Depend on gnome-settings-daemon-schemas so can work with
    unity-settings-daemon (LP: #1277487)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:gnome-session
This branch contains Public information 
Everyone can see this information.

Subscribers